• ATI Drivers


    Hello everyone, I’m new to Antergos and Arch and would like to know how to install the proprietary drivers for my ATI HD7770 graphics Card. I understand that Arch no longer supports them via their repos or AUR, having searched both for the drivers I require. Attempting to install the drivers from the AMD-ATI website tells me that I am missing some dependancies but is very helpful in not telling what they are, lol. Any help would be greatly appreciated.

  • Hello everyone, I’m new to Antergos and Arch and would like to know how to install the proprietary drivers for my ATI HD7770 graphics Card. I understand that Arch no longer supports them via their repos or AUR, having searched both for the drivers I require. Attempting to install the drivers from the AMD-ATI website tells me that I am missing some dependancies but is very helpful in not telling what they are, lol. Any help would be greatly appreciated.

  • Here you have everything you need [https://wiki.archlinux.org/index.php/AMD_Catalyst][0]">[https://wiki.archlinux.org/index.php/AMD_Catalyst][1]

    The packages are mantained by an unoffical catalyst maintainer and the packages are signed.

    [0]: <a href=
    [1]: https://wiki.archlinux.org/index.php/AMD_Catalyst

  • It would be nice if someone created full tutorial. I would do it if admin agrees to pin that post.

  • Hi,

    @paupav: You can create a wiki page in wiki.antergos.com

  • here it is:
    [http://wiki.antergos.com/How+to+install+AMD+Catalyst+drivers][0]">[http://wiki.antergos.com/How+to+install][1] … st+drivers

    I wasn’t able to add link to the wiki home page.

    [0]: <a href=
    [1]: http://wiki.antergos.com/How+to+install

  • Thanks!

    I wasn’t able to add link to the wiki home page.

    Don’t worry, I’ll be glad to do it.

    Cheers!

  • Hello all! Newbie here, probably doing bad newbie things.

    I attempted the line sudo pacman -Ssy, and got the following error, even after authoring the key import:

      
    error: database 'catalyst' is not valid (invalid or corrupted database (PGP signature))  
    
    

    However, when trying sudo pacman -Syy, it accepted the import authorization and appeared to update the package lists. Given how close the spelling of the two options are, just confirming that the option to be used is indeed -Ssy.

  • Mesa drivers are already installed, they’re better than the catalyst anyway. It’s like turning on the ignition when your car’s already running.

    "An it harm none, do what thou wilt"

  • i always seem to be going back and forth between them. is opensource faster these days?

  • @“Nerfherder”:3uoutoae said:

    Hello all! Newbie here, probably doing bad newbie things.

    I attempted the line sudo pacman -Ssy, and got the following error, even after authoring the key import:

      
    > error: database 'catalyst' is not valid (invalid or corrupted database (PGP signature))  
    > 
    

    However, when trying sudo pacman -Syy, it accepted the import authorization and appeared to update the package lists. Given how close the spelling of the two options are, just confirming that the option to be used is indeed -Ssy.[/quote:3uoutoae]

    i had the same problem. until i used Syy then it would import. wiki probably needs updating.

  • i am getting this error

    sudo pacman -R ati-dri xf86-video-ati glamor-egl  
    checking dependencies...  
    error: failed to prepare transaction (could not satisfy dependencies)  
    :: lib32-ati-dri: requires ati-dri  
    
    
  • i just removed one package at a time and it went through.

    the rest of the guide went smooth.

    thanks

  • @“Pednick”:2cwuw4kb said:

    Mesa drivers are already installed, they’re better than the catalyst anyway. It’s like turning on the ignition when your car’s already running.

    im not sure i quite agree. ive always got a lot of tearing with the free drivers. for the most part they work ok but if you have newer hardware you probably want to use the AMD drivers.

  • I agree with the above the free drivers are not as good I get much better performance on the ATI drivers. I have however, though no-ones fault but my own

    Also regarding the wiki the new(ish) guide is very good just checked it out and it looks sweet, I believe I would have had a lot fewer borks if I had used this.

    Whoever wrote it, nice!

  • @“paupav”:ex2b476w said:

    here it is:
    [http://wiki.antergos.com/How+to+install+AMD+Catalyst+drivers][0]">[http://wiki.antergos.com/How+to+install][1] … st+drivers

    I wasn’t able to add link to the wiki home page.[/quote:ex2b476w]
    Just a suggestion. It would be safe to say,that for x64 bit users, it would be wise to uncomment the multilibs BEFORE carring this tut out. Will save probs. did for me anyhow.Correct me if I am wrong

    [0]: <a href=
    [1]: http://wiki.antergos.com/How+to+install

  • @“mjayk”:l8jebx0l said:

    I agree with the above the free drivers are not as good I get much better performance on the ATI drivers. I have however, though no-ones fault but my own

    Also regarding the wiki the new(ish) guide is very good just checked it out and it looks sweet, I believe I would have had a lot fewer borks if I had used this.

    Whoever wrote it, nice![/quote:l8jebx0l]

    paupav wrote the origonal article. I have made some updates over the last week or two. Should be even easier to follow.

  • Hi All,

    Just registered to thank everyone involved for creating the ATI install howto. It was a copy and paste job and everything went smoothly.
    I still remember my borked arch installation after a failed ati install so this was great

    I now have Antergos as my daily driver so lets see how things go from here.

    Cheers…

  • does anyone know if xorg.116 works now with the latest ati drivers? can i remove the 1.15 repo now?

  • @“megaman”:1xid0jj2 said:

    does anyone know if xorg.116 works now with the latest ati drivers?[/quote:1xid0jj2]
    Indeed it does. With the latest Catalyst 14.12 update, xorg 1.16 is now supported.

    *Wrote Yash on 12th Jan from his notebook running Catalyst 14.12*

    Archlinux x64

    AMD A4-3305M Processor
    6GB RAM
    1GB+512MB Hybrid AMD GPU

Posts 22Views 6802
Log in to reply